]> arthur.barton.de Git - pt.git/blobdiff - bin/pt
pt 0.1.0
[pt.git] / bin / pt
diff --git a/bin/pt b/bin/pt
index 5ab4cb0faf17e126260e2030a4e15183ce04399c..446a156ce92f596513bcac2da870001b04c49164 100755 (executable)
--- a/bin/pt
+++ b/bin/pt
@@ -1,7 +1,7 @@
 #!/bin/bash
 #
 # pt -- the MacPorts port tool"
-# Copyright (c)2007 Alexander Barton, alex@barton.de
+# Copyright (c)2007,2008 Alexander Barton, alex@barton.de
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -9,12 +9,10 @@
 # (at your option) any later version.
 # Please read the file COPYING, README and AUTHORS for more information.
 #
-# $Id$
-#
 
 NAME=`basename "$0"`
-VERSION="0.0.9"
-DATE="2007-11-15"
+VERSION="0.1.0"
+DATE="2008-06-27"
 
 QUIET=
 PORT_VERBOSE=
@@ -51,7 +49,9 @@ Usage() {
        echo "  remove <port> [<port> [...]]   -- remove port(s)"
        echo "  clean <port> [<port> [...]]    -- clean port build files"
        echo "  update                         -- update port database"
+       echo "  outdated                       -- list all outdated ports"
        echo "  upgrade                        -- upgrade outdated port(s)"
+       echo "  freshup                        -- update port database & list outdated ports"
        echo "  search <term>                  -- search for port(s)"
        echo "  list <term>                    -- list port(s)"
        echo "  info <port>                    -- display details of a port"
@@ -916,6 +916,14 @@ case "$1" in
                Upgrade
                Clean_Exit $?
                ;;
+       "freshup"|"fresh"|"up")
+               shift
+               Check_Root_Perm
+               [ $# -ne 0 ] && Usage
+               Update
+               List_Outdated
+               Clean_Exit $?
+               ;;
        "remove"|"uninstall")
                shift
                Check_Root_Perm